#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './connection_editor.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "connection_editor.h"

#include <qvariant.h>
#include <qheader.h>
#include <klistview.h>
#include <kcombobox.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ConnectionEditor as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ConnectionEditor::ConnectionEditor( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ConnectionEditor" );
    ConnectionEditorLayout = new QGridLayout( this, 1, 1, 11, 6, "ConnectionEditorLayout"); 

    lvConnections = new KListView( this, "lvConnections" );
    lvConnections->addColumn( tr2i18n( "Connection" ) );
    lvConnections->addColumn( tr2i18n( "Type" ) );
    lvConnections->setAllColumnsShowFocus( TRUE );
    lvConnections->setShowSortIndicator( TRUE );
    lvConnections->setResizeMode( KListView::AllColumns );

    ConnectionEditorLayout->addMultiCellWidget( lvConnections, 1, 5, 0, 0 );

    cboConnectionType = new KComboBox( FALSE, this, "cboConnectionType" );

    ConnectionEditorLayout->addWidget( cboConnectionType, 0, 0 );

    pbClose = new KPushButton( this, "pbClose" );

    ConnectionEditorLayout->addWidget( pbClose, 5, 1 );
    spacer1 = new QSpacerItem( 20, 240, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConnectionEditorLayout->addItem( spacer1, 4, 1 );

    pbNew = new KPushButton( this, "pbNew" );

    ConnectionEditorLayout->addWidget( pbNew, 1, 1 );

    pbDelete = new KPushButton( this, "pbDelete" );

    ConnectionEditorLayout->addWidget( pbDelete, 3, 1 );

    pbEdit = new KPushButton( this, "pbEdit" );

    ConnectionEditorLayout->addWidget( pbEdit, 2, 1 );
    languageChange();
    resize( QSize(600, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConnectionEditor::~ConnectionEditor()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConnectionEditor::languageChange()
{
    setCaption( tr2i18n( "Edit Connections ..." ) );
    lvConnections->header()->setLabel( 0, tr2i18n( "Connection" ) );
    lvConnections->header()->setLabel( 1, tr2i18n( "Type" ) );
    pbClose->setText( tr2i18n( "Close" ) );
    pbNew->setText( tr2i18n( "New Connection" ) );
    pbDelete->setText( tr2i18n( "Delete Connection" ) );
    pbEdit->setText( tr2i18n( "Edit Connection" ) );
}

#include "connection_editor.moc"
