#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './connection_setting_gsm.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "connection_setting_gsm.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ConnectionSettingGsmWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ConnectionSettingGsmWidget::ConnectionSettingGsmWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ConnectionSettingGsmWidget" );
    ConnectionSettingGsmWidgetLayout = new QVBoxLayout( this, 0, 6, "ConnectionSettingGsmWidgetLayout"); 

    layout9 = new QGridLayout( 0, 1, 1, 0, 6, "layout9"); 

    textLabel4 = new QLabel( this, "textLabel4" );

    layout9->addWidget( textLabel4, 2, 2 );

    textLabel2_2_2 = new QLabel( this, "textLabel2_2_2" );

    layout9->addWidget( textLabel2_2_2, 3, 0 );

    textLabel1 = new QLabel( this, "textLabel1" );

    layout9->addWidget( textLabel1, 0, 2 );

    mPassword = new QLineEdit( this, "mPassword" );

    layout9->addWidget( mPassword, 1, 1 );

    mNetworkType = new QComboBox( FALSE, this, "mNetworkType" );

    layout9->addWidget( mNetworkType, 3, 3 );

    textLabel6 = new QLabel( this, "textLabel6" );

    layout9->addWidget( textLabel6, 3, 2 );

    textLabel2 = new QLabel( this, "textLabel2" );

    layout9->addWidget( textLabel2, 0, 0 );

    mApn = new QLineEdit( this, "mApn" );

    layout9->addWidget( mApn, 1, 3 );

    textLabel5 = new QLabel( this, "textLabel5" );

    layout9->addWidget( textLabel5, 4, 2 );

    mPuk = new QLineEdit( this, "mPuk" );

    layout9->addWidget( mPuk, 3, 1 );

    mBand = new QSpinBox( this, "mBand" );
    mBand->setMaxValue( 5 );
    mBand->setMinValue( -1 );
    mBand->setValue( -1 );

    layout9->addWidget( mBand, 4, 3 );
    spacer4 = new QSpacerItem( 171, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout9->addMultiCell( spacer4, 4, 4, 0, 1 );

    mPin = new QLineEdit( this, "mPin" );

    layout9->addWidget( mPin, 2, 1 );

    mUsername = new QLineEdit( this, "mUsername" );

    layout9->addWidget( mUsername, 0, 1 );

    mNumber = new QLineEdit( this, "mNumber" );

    layout9->addWidget( mNumber, 0, 3 );

    mNetworkId = new QLineEdit( this, "mNetworkId" );

    layout9->addWidget( mNetworkId, 2, 3 );

    textLabel2_3 = new QLabel( this, "textLabel2_3" );

    layout9->addWidget( textLabel2_3, 2, 0 );

    textLabel2_2 = new QLabel( this, "textLabel2_2" );

    layout9->addWidget( textLabel2_2, 1, 0 );

    textLabel3 = new QLabel( this, "textLabel3" );

    layout9->addWidget( textLabel3, 1, 2 );
    ConnectionSettingGsmWidgetLayout->addLayout( layout9 );
    spacer5 = new QSpacerItem( 20, 51, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ConnectionSettingGsmWidgetLayout->addItem( spacer5 );
    languageChange();
    resize( QSize(381, 245).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( mUsername, mPassword );
    setTabOrder( mPassword, mPin );
    setTabOrder( mPin, mPuk );
    setTabOrder( mPuk, mNumber );
    setTabOrder( mNumber, mApn );
    setTabOrder( mApn, mNetworkId );
    setTabOrder( mNetworkId, mNetworkType );
    setTabOrder( mNetworkType, mBand );

    // buddies
    textLabel4->setBuddy( mNetworkId );
    textLabel2_2_2->setBuddy( mUsername );
    textLabel1->setBuddy( mNumber );
    textLabel6->setBuddy( mNetworkType );
    textLabel2->setBuddy( mUsername );
    textLabel5->setBuddy( mBand );
    textLabel2_3->setBuddy( mUsername );
    textLabel2_2->setBuddy( mUsername );
    textLabel3->setBuddy( mApn );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ConnectionSettingGsmWidget::~ConnectionSettingGsmWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ConnectionSettingGsmWidget::languageChange()
{
    setCaption( tr2i18n( "Form1" ) );
    textLabel4->setText( tr2i18n( "Network &ID:" ) );
    textLabel2_2_2->setText( tr2i18n( "PU&K:" ) );
    textLabel1->setText( tr2i18n( "&Number:" ) );
    QToolTip::add( mPassword, tr2i18n( "Password needed to access the service" ) );
    mNetworkType->clear();
    mNetworkType->insertItem( tr2i18n( "Any" ) );
    mNetworkType->insertItem( tr2i18n( "GPRS" ) );
    mNetworkType->insertItem( tr2i18n( "GSM" ) );
    mNetworkType->insertItem( tr2i18n( "Prefer GPRS" ) );
    mNetworkType->insertItem( tr2i18n( "Prefer GSM" ) );
    QToolTip::add( mNetworkType, tr2i18n( "Select the type of cellular data network the connection should use" ) );
    QWhatsThis::add( mNetworkType, tr2i18n( "Any chooses the best available; GSM/GPRS locks the connection to the specified network type; Prefer options prefer one type but will use the other if necessary" ) );
    textLabel6->setText( tr2i18n( "Network &Type:" ) );
    textLabel2->setText( tr2i18n( "&Username:" ) );
    QToolTip::add( mApn, tr2i18n( "Access Point Name" ) );
    QWhatsThis::add( mApn, tr2i18n( "The hostname of the machine providing network access" ) );
    textLabel5->setText( tr2i18n( "&Band:" ) );
    QToolTip::add( mPuk, tr2i18n( "Personal Unblocking Code" ) );
    QWhatsThis::add( mPuk, tr2i18n( " A code used to unblock a blocked SIM card" ) );
    QToolTip::add( mPin, tr2i18n( "Personal Identification Number" ) );
    QWhatsThis::add( mPin, tr2i18n( "A code used for all GSM-based phones to establish authorisation for access to certain functions or information" ) );
    QToolTip::add( mUsername, tr2i18n( "Username needed to access the service" ) );
    QToolTip::add( mNetworkId, tr2i18n( "The GSM network to connect to" ) );
    textLabel2_3->setText( tr2i18n( "&PIN:" ) );
    textLabel2_2->setText( tr2i18n( "Pass&word:" ) );
    textLabel3->setText( tr2i18n( "&APN:" ) );
}

#include "connection_setting_gsm.moc"
